<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="">
    <query id="HttAppearancecheckRecordService.getHttAppearancecheckRecord" desc="">
    <![CDATA[
    SELECT
       T.PIPE_NO,
       T.EAST_PIPE_END_STAIGHTESS,
       T.EAST_PIPE_EXTERNAL,
       T.EAST_PIPE_MAX,
       T.EAST_PIPE_MIN,
       T.EAST_PIPE_NOY,
       T.WEST_PIPE_END_STAIGHTESS,
       T.WEST_PIPE_EXTERNAL,
       T.WEST_PIPE_MAX,
       T.WEST_PIPE_MIN,
       T.WEST_PIPE_NOY,
       T.FULLLENGTHSTRAIGHTNESS,
       T.RESULT_NO,
       T.HEAT_PLAN_NO,
       T.PLINE_CODE,
       T.RECORD_NO
 FROM HTT_APPEARANCECHECK_RECORD T
 WHERE
1=1

        ]]>
</query>






    <query id="HttAppearancecheckRecordService.doQuery" desc="">
        <![CDATA[
         SELECT
       T.PIPE_NO,
       T.EAST_PIPE_END_STAIGHTESS,
       T.EAST_PIPE_EXTERNAL,
       T.EAST_PIPE_MAX,
       T.EAST_PIPE_MIN,
       T.EAST_PIPE_NOY,
       T.WEST_PIPE_END_STAIGHTESS,
       T.WEST_PIPE_EXTERNAL,
       T.WEST_PIPE_MAX,
       T.WEST_PIPE_MIN,
       T.WEST_PIPE_NOY,
       T.FULLLENGTHSTRAIGHTNESS,
       T.RESULT_NO,
       T.HEAT_PLAN_NO,
       T.PLINE_CODE,
       T.RECORD_NO
 FROM HTT_APPEARANCECHECK_RECORD T
 WHERE
1=1
        ]]>
    </query>

    <query id="HttAppearancecheckRecordService.addHttAppearancecheckRecord" desc="">
        <![CDATA[
        INSERT INTO HTT_APPEARANCECHECK_RECORD(
        PIPE_NO,
        EAST_PIPE_END_STAIGHTESS,
        EAST_PIPE_EXTERNAL,
        EAST_PIPE_MAX,
        EAST_PIPE_MIN,
        EAST_PIPE_NOY,
        WEST_PIPE_END_STAIGHTESS,
        WEST_PIPE_EXTERNAL,
        WEST_PIPE_MAX,
        WEST_PIPE_MIN,
        WEST_PIPE_NOY,
        FULLLENGTHSTRAIGHTNESS,
        RESULT_NO,
        HEAT_PLAN_NO,
        PLINE_CODE,
        RECORD_NO)
 VALUES(
        '#PIPE_NO#',
        '#EAST_PIPE_END_STAIGHTESS#',
        '#EAST_PIPE_EXTERNAL#',
        '#EAST_PIPE_MAX#',
        '#EAST_PIPE_MIN#',
        '#EAST_PIPE_NOY#',
        '#WEST_PIPE_END_STAIGHTESS#',
        '#WEST_PIPE_EXTERNAL#',
        '#WEST_PIPE_MAX#',
        '#WEST_PIPE_MIN#',
        '#WEST_PIPE_NOY#',
        '#FULLLENGTHSTRAIGHTNESS#',
        '#RESULT_NO#',
        '#HEAT_PLAN_NO#',
        '#PLINE_CODE#',
        SYS_GUID())
        ]]>
    </query>

    <query id="HttAppearancecheckRecordService.updateHttAppearancecheckRecord" desc="">
        <![CDATA[
        UPDATE HTT_APPEARANCECHECK_RECORD T
   SET
        T.PIPE_NO = '#PIPE_NO#',
        T.EAST_PIPE_END_STAIGHTESS = '#EAST_PIPE_END_STAIGHTESS#',
        T.EAST_PIPE_EXTERNAL = '#EAST_PIPE_EXTERNAL#',
        T.EAST_PIPE_MAX = '#EAST_PIPE_MAX#',
        T.EAST_PIPE_MIN = '#EAST_PIPE_MIN#',
        T.EAST_PIPE_NOY = '#EAST_PIPE_NOY#',
        T.WEST_PIPE_END_STAIGHTESS = '#WEST_PIPE_END_STAIGHTESS#',
        T.WEST_PIPE_EXTERNAL = '#WEST_PIPE_EXTERNAL#',
        T.WEST_PIPE_MAX = '#WEST_PIPE_MAX#',
        T.WEST_PIPE_MIN = '#WEST_PIPE_MIN#',
        T.WEST_PIPE_NOY = '#WEST_PIPE_NOY#',
        T.FULLLENGTHSTRAIGHTNESS = '#FULLLENGTHSTRAIGHTNESS#'
 WHERE
 1=1
        ]]>
    </query>





</queryMap>